Bug 41925 - trivial patch to add automatic crypting to 'dbmmanage import'
Summary: trivial patch to add automatic crypting to 'dbmmanage import'
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: support (show other bugs)
Version: 2.2.3
Hardware: All All
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2007-03-21 20:06 UTC by Craig Sanders
Modified: 2018-11-07 21:09 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Sanders 2007-03-21 20:06:24 UTC
dbmmanage import expects username:password pairs to be already encrypted, when
it is a trivial patch to enable it to encrypt passwords itself if they are fed
in as plaintext.

see patch below.  it supports all the encryption types supported by the
manual/command-line input methods because it just calls the same crypting
function that was already in the script:

btw, if you have pre-crypted passwords to feed it, just use the "-p" (plaintext)
on the dbmmanage command line.  might make sense to have a synonym of "-n" for
"don't crypt" as well.



--- dbmmanage.orig	2007-02-12 16:52:43.000000000 +1100
+++ dbmmanage	2007-03-22 14:03:11.231980231 +1100
@@ -307,7 +307,9 @@
 
 sub dbmc::import {
     while(defined($_ = <STDIN>) and chomp) {
-	($key,$crypted_pwd,$groups,$comment) = split /:/, $_, 4;
+	my $plain_pwd;
+	($key,$plain_pwd,$groups,$comment) = split /:/, $_, 4;
+	$crypted_pwd = cryptpw($plain_pwd);
 	dbmc->add;
     }
 }
Comment 1 William A. Rowe Jr. 2018-11-07 21:09:04 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.